=== debian/changelog ===
roaraudio (1.0~beta12-4) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to level 13.
    - Add no required files to debian/not-installed.
  * Update debian/watch file standard to version 4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 15:00:13 +0100

roaraudio (1.0~beta12-3) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Adjust source lintian-overrides.
  * Set Rules-Requires-Root: no.
  * Do not build with pulse support anymore, because the package FTBFS with it.
  * Disable auto tests.
  * Override some false positive lintian warnings.
  * Drop unused manpage roartestclients and roarbaseclients.
  * Add patch 02-spelling-errors.
  * Drop init.d script and migrate to systemd service unit.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 15:25:34 +0100

roaraudio (1.0~beta12-2) unstable; urgency=medium

  * Add patch 01-reproducible-build from Chris Lamp to make the build
    reproducible again.
    Closes: #920592

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 28 Jan 2019 10:24:17 +0100

roaraudio (1.0~beta12-1) unstable; urgency=high

  * New upstream release.
    - Fixes FTBFS with glibc 2.28.
      Closes: #915345
    - Drop merged patch 01-source-init-functions.
    - Drop merged patch 02-manpage-spelling-errors.
    - Drop merged patch 03-manpage-spelling-errors.
    - Drop merged patch 04-more-spelling-errors.
    - Drop merged patch 05-more-more-spelling-errors.
    - Drop merged patch 06-spelling-error.
    - Drop merged patch 07-reproducible-build.
    - Drop merged patch 08-spelling-errors.
    - Drop merged patch 09-spelling-errors.
    - Drop merged patch 10-spelling-errors.
    - Drop merged patch 11-spelling-errors.
  * Bump Standards-Version to 4.3.0.
  * Adjust lintian overrides.
  * Use pkg-info.mk for reading the DEB_VERSION.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 25 Jan 2019 10:11:03 +0100

roaraudio (1.0~beta11-11) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1.
  * Fix wrong redirection.
    Closes: #908264
  * Tell ./configure about cross building.
    Closes: #909345
  * Adjust lintian overrides.
  * Add patch 11-spelling-errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 12 Oct 2018 10:28:33 +0200

roaraudio (1.0~beta11-10) unstable; urgency=low

  * Remove esound support.
    Closes: #856088
  * Do not provide libsndio anymore.
    Closes: #863889
  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Add patch 10-spelling-errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 03 Jul 2017 13:17:48 +0200

roaraudio (1.0~beta11-9) unstable; urgency=medium

  * Remove dependency on libslp-dev at the libroar-dev package.
    Closes: #815365
  * Add patch 09-spelling-errors.
  * Add missing dependency on lsb-base.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 19 Dec 2016 16:38:40 +0100

roaraudio (1.0~beta11-8) unstable; urgency=medium

  * Add patch 06-spelling-error.
  * Bump Standards-Version to 3.9.8 (no changes required).
  * Add patch 07-reproducible-build from Chris Lamb to make the build
    reproducible.
    Closes: #833380
  * Fix spelling error in package long description.
  * Add patch 08-spelling-errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 22 Aug 2016 13:04:57 +0200
