=== debian/control ===
Source: roaraudio
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 13),
 bash-completion,
 libz-dev,
 libfishsound1-dev,
 libvorbis-dev,
 libspeex-dev,
 libshout3-dev,
 libsndfile1-dev,
 liboggz2-dev,
 libspeexdsp-dev,
 libao-dev,
 libx11-dev,
 libflac-dev,
 libasound2-dev [linux-any],
 portaudio19-dev
Rules-Requires-Root: no
Standards-Version: 4.5.1
Section: libs
Homepage: http://roaraudio.keep-cool.org/

Package: libroar2
Architecture: any
Multi-Arch: same
Suggests: libroar-plugins-universal (= ${binary:Version}),
 roaraudio-server,
 bzip2,
 gnupg,
 openssh-client,
 pinentry,
 libmuroar0,
 slpd,
 socat
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libroar0
Replaces: libroar0
Description: foundation libraries for the RoarAudio sound server and clients
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.

Package: libroar-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libroar2 (= ${binary:Version}),
 libroar-compat2 (= ${binary:Version}),
 libx11-dev
Recommends: roarclients
Suggests: ckport,
 libmuroar-dev
Description: header files and documentation for the RoarAudio libraries
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.
 .
 This package contains the development headers for the libroar library.

Package: roaraudio
Section: sound
Architecture: any
Provides: roaraudio-server,
 rsound-server
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 libroar2 (= ${binary:Version}),
 libroar-compat2 (= ${binary:Version}),
 libroar-compat-tools (= ${binary:Version}),
 roarclients (= ${binary:Version}),
 lsb-base,
 ${misc:Depends}
Recommends: oss-compat [!hurd-i386],
 libroar-plugins-universal (= ${binary:Version})
Breaks: roaraudio-extra (<< 0.4~beta2~pr0-1)
Replaces: roaraudio-extra (<< 0.4~beta2~pr0-1)
Description: sound server for audio mixing
 RoarAudio is a system for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This package contains the RoarAudio sound server "roard" implementing the
 RoarAudio protocol.

Package: roarclients
Section: sound
Architecture: any
Breaks: roaraudio-extra (<< 0.4~beta2~pr0-1),
 roaraudio (<< 1.0~beta1-1)
Replaces: roaraudio-extra (<< 0.4~beta2~pr0-1),
 roaraudio (<< 1.0~beta1-1)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: libroar-compat2 (= ${binary:Version}),
 libroar-plugins-universal (= ${binary:Version})
Suggests: roaraudio | roaraudio-server
Description: Collection of basic clients for the RoarAudio Sound System
 This package is a collection of basic clients for the RoarAudio Sound System
 based on libroar. The collection includes tools for playback and recording
 as well as controlling and monitoring the sound system.
 Some tools are also very helpful for testing and debugging a RoarAudio
 setup or software.

Package: libroar-compat2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Breaks: roaraudio (<< 0.3~beta7-pr2-1)
Conflicts: libroar-compat0,
 libroar-compat1
Replaces: libroar-compat0,
 libroar-compat1
Description: drop-in replacements for other sound libraries
 RoarAudio is a system for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 To get programs which use the PulseAudio or YIFF API running, you can install
 this package and replace the appropriate libraries.

Package: libroar-compat-tools
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libroar-compat2 (= ${binary:Version})
Breaks: libroar-compat2 (<= 1.0~beta11-2),
Replaces: libroar-compat2 (<= 1.0~beta11-2),
Description: drop-in replacements for other sound libraries (tools package)
 To get programs which use the PulseAudio or YIFF API running, you can install
 this package and replace the appropriate libraries.
 .
 This package contains the required tools for the libroar-compat package.

Package: libroar-plugins-universal
Section: sound
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Enhances: roarclients,
 roaraudio
Description: Collection of host-independent plugins for libroar
 This is a collection of host application independent plugins for libroar.
 Host application independent plugins are plugins which can be loaded in
 all host applications (e.g. roard, roarpluginrunner and roarplaylistd).
 .
 This collection also includes plugins helpful for debugging the plugin
 interface of applications using libroar's plugin interface.
